Subject: Re: What's cooking in git.git (Mar 2009, #01; Tue, 03)

From: Jakub Narebski <[email-masked]>
Date: Tue, 03 Mar 2009 01:21:35 -0800 (PST)

Junio C Hamano <[email-masked]> writes:

> ----------------------------------------------------------------
> [Stalled and may need help and prodding to go forward]
> 
> * gb/gitweb-base (Sun Feb 15 10:18:36 2009 +0100) 1 commit
>  - gitweb: fix wrong base URL when non-root DirectoryIndex

Errrr... isn't this already in 'master' as v1.6.2-rc1-3-g81d3fe9 ?

> * jc/blame (Wed Jun 4 22:58:40 2008 -0700) 2 commits
>  + blame: show "previous" information in --porcelain/--incremental
>    format
>  + git-blame: refactor code to emit "porcelain format" output
> 
> This gives Porcelains (like gitweb) the information on the commit _before_
> the one that the final blame is laid on, which should save them one
> rev-parse to dig further.  The line number in the "previous" information
> may need refining, and sanity checking code for reference counting may
> need to be resurrected before this can move forward.
> 
> I thought recent tig discussion may blow new life into it, but is this
> unneeded?  If so I'd rather revert it (or discard after 1.6.2).

This would be nice to have for gitweb.

-- 
Jakub Narebski
Poland
ShadeHawk on #git